Page MenuHomePhabricator

The message wikibase-propertyedittool-counter-entrieslabel needs to include the number itself
Closed, ResolvedPublic

Description

The current value of the wikibase-propertyedittool-counter-entrieslabel message is "{{PLURAL:$1|entry|entries}}".

The actual number is inserted using other messages: wikibase-ui-pendingquantitycounter-nonpending and wikibase-ui-pendingquantitycounter-pending.

In some languages the number affects not just the form of the subject ("entry" or "entries"), but also the place of the number in the expression. For example, in Hebrew "one" comes after the word, but other number come before it.

By itself this could be fixed by translating ibase-ui-pendingquantitycounter-nonpending and wikibase-ui-pendingquantitycounter-pending to Hebrew, but these messages can have not only entries (wikibase-propertyedittool-counter-entrieslabel), but also references (wikibase-statementview-referencesheading-pendingcountersubject), and the grammar of numbers used for the words entries and references is different.

The best solution would be to let MediaWiki handle the grammar and the number using the messages wikibase-propertyedittool-counter-entrieslabel and wikibase-statementview-referencesheading-pendingcountersubject, rather than doing it in functions in the Wikibase extension (the one I found is wb.utilities.ui.buildPendingCounter(), and it gets complicated further).

Details

Reference
bz70838
Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterImprove sitelinks and references counter messages

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:43 AM
bzimport set Reference to bz70838.
bzimport added a subscriber: Unknown Object (MLST).
Amire80 created this task.Sep 15 2014, 8:00 AM
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 15 2015, 3:14 AM

Change 281932 had a related patch set uploaded (by Adrian Heine):
Improve sitelinks and references counter messages

https://gerrit.wikimedia.org/r/281932

matej_suchanek updated the task description. (Show Details)

Change 281932 merged by jenkins-bot:
Improve sitelinks and references counter messages

https://gerrit.wikimedia.org/r/281932

adrianheine closed this task as Resolved.Apr 13 2016, 10:01 AM
adrianheine moved this task from Review to Done on the Wikidata-Sprint-2016-04-12 board.